[IPython-User] version mismatch on parallel computing

Neal Becker ndbecker2@gmail....
Tue Aug 27 10:55:18 CDT 2013


It seems that the server started by ipcluster must match the client python code 
version?

I wanted to start python3 ipcluster and use 2.7 client.  That doesn't seem to 
work:

UnicodeDecodeError                        Traceback (most recent call 
last)/usr/lib/python3.3/site-packages/IPython/zmq/serialize.py in 
unpack_apply_message(bufs, g, copy)
    132         for i in range(3):
    133             bufs[i] = bufs[i].bytes
--> 134     cf = pickle.loads(bufs.pop(0))
    135     sargs = list(pickle.loads(bufs.pop(0)))
    136     skwargs = dict(pickle.loads(bufs.pop(0)))
UnicodeDecodeError: 'ascii' codec can't decode byte 0x83 in position 21: ordinal 
not in range(128)




More information about the IPython-User mailing list